---
updatedAt: 2026-07-14T19:11:46.000Z
---

# Deprecation Schedule & Log

*Last updated: Jul 15, 2026*

### This page lists upcoming and past deprecations for Walmart Advertising APIs, including endpoints, reports, and metrics.

<Callout icon="📘" theme="info">
  ### Note

  - Deprecated APIs will continue to function until the deprecation date
  - After the deprecation date, calls to the listed APIs, reports, and specific metrics/fields will fail and result in an error.

  **Action Needed:** Developers are expected to migrate to the recommended replacements and changes before the deprecation date
</Callout>

<br />

### Deprecated APIs

| Endpoint                                                                                                                                                                                                  | Change                                                                        | Replacement                                             | Deprecation Date |
| :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :---------------------------------------------------------------------------- | :------------------------------------------------------ | :--------------- |
| <Anchor target="_blank" href="https://developer.walmart.com/advertising-partners-search/docs/create-sponsored-brands-profile-for-campaign">POST/api/v2/sba\_profile</Anchor>                              | Create Sponsored Brands Profile for Campaign V2 is deprecated                 | POST /api/v1/brand\_assets                              | Jan 31, 2027     |
| <Anchor target="_blank" href="https://developer.walmart.com/advertising-partners-search/docs/upload-logo-image-to-sponsored-brands-profile-for-campaign">POST/api/v2/sba\_profile\_image\_upload</Anchor> | Upload Logo Image to Sponsored Brands Profile for Campaign V2 is deprecated   | POST /api/v1/brand\_assets/logo\_image\_upload          | Jan 31, 2027     |
| <Anchor target="_blank" href="https://developer.walmart.com/advertising-partners-search/docs/upload-custom-image">POST/api/v2/sba\_custom\_image\_upload</Anchor>                                         | Upload Custom Image to Sponsored Brands Profile for Campaign V2 is deprecated | POST /api/v1/brand\_assets/custom\_image\_upload        | Jan 31, 2027     |
| <Anchor target="_blank" href="https://developer.walmart.com/advertising-partners-search/docs/delete-custom-image">DELETE/api/v2/sba\_profile/:sba\_profile\_id/custom\_image</Anchor>                     | Delete Custom Image V2 is deprecated                                          | DELETE/api/v1/brand\_assets/:brandAssetId/custom\_image | Jan 31, 2027     |
| [GET /api/v1/sba\_profile](https://developer.walmart.com/advertising-partners-search/docs/list-sba-profile-for-campaign)                                                                                  | List Sponsored Brands Profile v1 is deprecated                                | GET /api/v2/sba\_profile                                | Apr 8, 2026      |
| [POST /api/v1/sba\_profile\_image\_upload](https://developer.walmart.com/advertising-partners-search/docs/upload-logo-image-to-sponsored-brands-profile-for-campaign)                                     | Upload Logo Image to Sponsored Brands Profile for Campaign v1 is deprecated   | POST /api/v2/sba\_profile\_image\_upload                | Apr 8, 2026      |
| [POST /api/v1/sba\_profile](https://developer.walmart.com/advertising-partners-search/docs/create-sponsored-brands-profile-for-campaign)                                                                  | Create Sponsored Brands Profile v1 is deprecated                              | POST /api/v2/sba\_profile                               | Apr 8, 2026      |
| [PUT api/v1/sba\_profile](https://developer.walmart.com/advertising-partners-search/docs/update-sponsored-brands-profile-for-campaign)                                                                    | Update Sponsored Brands Profile v1 is deprecated                              | PUT /api/v2/sba\_profile                                | Apr 8, 2026      |
| <Anchor target="_blank" href="https://developer.walmart.com/advertising-partners-search/docs/create-report-snapshot-updated">POST api/v1/snapshot/report</Anchor>                                         | Create Report Snapshot v1 is deprecated                                       | POST api/v2/snapshot/report                             | Mar 02, 2026     |

> These APIs will no longer be available after the deprecation date. Calls to these APIs after deprecation date, will lead to an error.

<br />

### Deprecated Reports

| Report                                                                                                                                                    | Change                                                                      | Replacement                                                                                                                                                                                                             | Deprecation Date |
| :-------------------------------------------------------------------------------------------------------------------------------------------------------- | :-------------------------------------------------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :--------------- |
| [Advertiser Attributes V1](https://developer.walmart.com/advertising-partners-search/docs/create-advanced-insights-snapshot)                              | advertiserAttributes insightType is deprecated                              | Use advertiserAttributesV2 as insightType                                                                                                                                                                               | Jul 15, 2026     |
| [KeywordRecommendations report](https://developer.walmart.com/advertising-partners-search/docs/retrieve-recommendations-snapshots-1)                      | keywordRecommendations recommendationType is deprecated                     | Use matchTypeKeywordRecommendations as recommendationType                                                                                                                                                               | Jul 15, 2026     |
| [outOfBudgetRecommendations Report in Snapshot Reports v2](https://developer.walmart.com/advertising-partners-search/docs/create-report-snapshot-updated) | reportType `outOfBudgetRecommendations`is deprecated in Snapshot Reports v2 | Out of budget recommendations will be available though [Campaign Recommendations](https://developer.walmart.com/advertising-partners-search/docs/draft-campaign-recommendations) with recommendationType as outOfBudget | Apr 8, 2026      |

> These reports will no longer be available after the deprecation date. Calls to these API reports after deprecation date, will lead to an error.

<br />

<br />

### Deprecated Metrics

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Metrics
      </th>

      <th>
        Impacted Report Types
      </th>

      <th>
        Replacement
      </th>

      <th>
        Deprecation Date
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        For<br />[POST api/v2/snapshot/report](https://developer.walmart.com/advertising-partners-search/docs/parameters-generated-by-snapshot-reports-v2-updated) the below metrics are deprecated :                                 `brandAttributedSales3days` `brandAttributedSales14days` `brandAttributedSales30days` `directAttributedSales3days` `directAttributedSales14days` `directAttributedSales30days` `relatedAttributedSales3days` `relatedAttributedSales14days` `relatedAttributedSales30days`
      </td>

      <td>
        1. adGroup
        2. adItem
        3. brand
        4. category
        5. keyword
        6. pageType,
        7. placement,
        8. platform,
        9. videoCampaigns,
        10. videoKeywords
      </td>

      <td>
        Use below available metrics: `advertisedSkuSales3days` `advertisedSkuSales14days`<br />`advertisedSkuSales30days`<br />`otherSkuSales3days`<br />`otherSkuSales14days`<br />`otherSkuSales30days`
      </td>

      <td>
        Jul 15, 2026
      </td>
    </tr>
  </tbody>
</Table>

> These metrics will no longer be available after the deprecation date. API report calls with these request metrics after deprecation date, will lead to an error.

<br />

### Request and Response Field Changes

| Field          | Endpoint                                                                                                                                                      | Change                                                                  | Deprecation Date |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------- | ---------------- |
| `bid`          | Keyword Performance Report`[POST /api/v2/snapshot/report\`]\(<https://developer.walmart.com/advertising-partners-search/docs/create-report-snapshot-updated>) | Removed for snapshot creation. Exclude field before requesting report   | Jul 15, 2026     |
| `reportDate`   | Snapshot Reports v2`[POST /api/v2/snapshot/report](https://developer.walmart.com/advertising-partners-search/docs/create-report-snapshot-updated)`            | Removed from request parameters. Exclude field before requesting report | Jul 15, 2026     |
| `suggestedBid` | Suggested Keywords Report`[GET /v1/keyword_suggestions\`]\(<https://developer.walmart.com/advertising-partners-search/docs/suggested-keywords>)               | Removed from API response. Use `suggestedBidExact` instead              | Jul 15, 2026     |

> These fields will no longer be available after the deprecation date. API calls with these fields after deprecation date, will lead to an error.

<br />